Package htsjdk.beta.codecs.reads.htsget.htsgetBAMV1_2

# Class HtsgetBAMCodecV1_2

java.lang.Object
htsjdk.beta.codecs.reads.htsget.HtsgetBAMCodec
htsjdk.beta.codecs.reads.htsget.htsgetBAMV1_2.HtsgetBAMCodecV1_2

All Implemented Interfaces:
  `HtsCodec<ReadsDecoderOptions,ReadsEncoderOptions>`, `ReadsCodec`, `Upgradeable`

public class HtsgetBAMCodecV1_2 extends HtsgetBAMCodec
Version 1.2 of `BundleResourceType.FMT_READS_HTSGET_BAM` codec.

## Field Summary

### Fields inherited from class htsjdk.beta.codecs.reads.htsget.HtsgetBAMCodec

`HTSGET_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`HtsgetBAMCodecV1_2()`

## Method Summary

Modifier and Type
Method
Description
`HtsgetBAMDecoder`
`getDecoder(Bundle inputBundle, ReadsDecoderOptions decodeOptions)`
Get an `HtsDecoder` to decode the provided inputs.
`HtsEncoder<?,? extends HtsRecord>`
`getEncoder(Bundle outputBundle, ReadsEncoderOptions encodeOptions)`
Get an `HtsEncoder` to encode to the provided outputs.

### Methods inherited from class htsjdk.beta.codecs.reads.htsget.HtsgetBAMCodec

`canDecodeSignature, canDecodeURI, getFileFormat, getSignatureLength, getVersion, handlesURI, ownsURI, runVersionUpgrade`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.beta.plugin.HtsCodec

`getDisplayName, getSignatureProbeLength`

### Methods inherited from interface htsjdk.beta.plugin.reads.ReadsCodec

`getContentType`

## Constructor Details

### HtsgetBAMCodecV1_2

public HtsgetBAMCodecV1_2()

## Method Details

### getDecoder

public HtsgetBAMDecoder getDecoder(Bundle inputBundle, ReadsDecoderOptions decodeOptions)
Description copied from interface: `HtsCodec`
Get an `HtsDecoder` to decode the provided inputs. The input bundle must contain resources of the type required by this codec. To find a codec appropriate for decoding a given resource, use an `HtsCodecResolver` obtained from an `HtsCodecRegistry`.

The framework will never call thi* method unless either `HtsCodec.ownsURI(IOPath)`, or `HtsCodec.canDecodeURI(IOPath)` and `HtsCodec.canDecodeSignature(SignatureStream, String)` (IOPath)} return true for `inputBundle`.

Parameters:
  `inputBundle` - input to be decoded. To get a decoder for use with index queries that use `HtsQuery` methods, the bundle must contain an index resource.
  `decodeOptions` - options for the decoder to use
Returns:
  an `HtsDecoder` that can decode the provided inputs

### getEncoder

public HtsEncoder<?,? extends HtsRecord> getEncoder(Bundle outputBundle, ReadsEncoderOptions encodeOptions)
Description copied from interface: `HtsCodec`
Get an `HtsEncoder` to encode to the provided outputs. The output bundle must contain resources of the type required by this codec. To find a codec appropriate for encoding a given resource, use an `HtsCodecResolver` obtained from an `HtsCodecRegistry`. The framework will never call this method unless either `HtsCodec.ownsURI(IOPath)`, or `HtsCodec.canDecodeURI(IOPath)` returned true for `outputBundle`.

Parameters:
  `outputBundle` - target output for the encoder
  `encodeOptions` - encoder options to use
Returns:
  an `HtsEncoder` suitable for writing to the provided outputs